#!/bin/bash

check_predeinstall () {
	if [ "$HOME" = "/root" -o "$USER" = "root" ] ; then
		#echo "$HOME $USER"
		echo -n "Did you install SpRecord for root? If it is not, please run deinstallation as ordinary user. Did you? (y/n) [n]: "
		read T

		if [ -z "$T" -o "$T" != "y" -a "$T" != "Y" ] ; then
			return 1
		fi
	fi
	if ! [ -f ./SpRecord.exe ] ; then
		echo "Installation files not found"
		return 1
	fi
	if ! [ -f ~/.sprecord/config.ini ] ; then
		echo "~/.sprecord/config.ini is not found"
		return 1
	fi
	return 0
}

deinstallation_v1 () {

	/usr/bin/sprecord -c

	# Unregister
	SS=`more ~/.wine/system.reg | grep -e "System\\\\\\\\\\\\\\\\CurrentControlSet\\\\\\\\\\\\\\\\Services\\\\\\\\\\\\\\\\SocketServer"`
	if [ -n "$SS" ]; then 
		wine "Z:\\usr\\bin\\killprocess.exe" ScktSrvr.exe
		wine "$WAddr\\ScktSrvr.exe" /uninstall /silent
		sleep 1
	fi

	wine cmd /C reg DELETE "HKLM\\SOFTWARE\\Borland\\Socket Server" > /dev/null 2> /dev/null

	echo "Waiting for SpRecord installer ..."
	echo "Please, select \"Uninstall\" on wizard menu and DON'T press \"Cancel\"!"
	wine ./SpRecord.exe REMOVE=TRUE MODIFY=FALSE

	wine cmd /C  del "$WAddr\\*.?xe" >> $EL 2>> $EL 
	wine cmd /C  del "$WAddr\\*.dll" >> $EL 2>> $EL 
	wine cmd /C  del "$WAddr\\*.chm" >> $EL 2>> $EL 
	wine cmd /C  del "$WAddr\\langs.slf" >> $EL 2>> $EL 
	wine cmd /C  del "$WAddr\\history.txt" >> $EL 2>> $EL 
	wine cmd /C  rmdir /S /Q "$WAddr\\Localize" >> $EL 2>> $EL 
	wine cmd /C  rmdir /S /Q "$WAddr\\ATSModels" >> $EL 2>> $EL 

}

. ./include

if [ -n "$1" -a "$1" = "-l" ]; then
	EL="error.log"
	#echo "" > $EL 
else
	EL="/dev/null"
fi 

if ! Check_commands "dirname" "sed" "awk" "mkdir" "wine" "sprecord" ; then
	echo "Deinstallation failed"
	exit 1
fi

if ! check_predeinstall; then
	echo "Deinstallation interrupted"
	exit 1
fi

if ! GetWINEAddr; then
	echo "Deinstallation interrupted"
	exit 1
fi

INSVER=`more ~/.sprecord/config.ini | grep -w -e INSVER | awk -F"=" '{ print $2 }'`

if [ "$INSVER" = "1" ] ; then
	deinstallation_v1
fi

if GetWINEAddr; then
	if [ -f "$Addr0/SpRecord.exe" ]; then
		echo "Deinstallation failed"
		exit 1
	fi
fi

rm ~/.sprecord/config.ini
rmdir ~/.sprecord

echo "Deinstallation successfull"
exit 0

